Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003512 [JEDI VCL] 00 JVCL Components major always 2006-02-14 13:33 2006-04-05 06:37
Reporter Arioch View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003512: JvCombobox sometimes just is not fully restored form DFM
Description * Forwarded by Arioch /BDV/
* Newsgroup: jedi.vcl on: forums.talkto.net
* From: "Arioch /BDV/" <the_Arioch@nm.False-Domain.ru>
* Date: Mon, 13 Feb 2006 01:23:30 +0300
* URL: 1@talkto.net">news://forums.talkto.net/dsobvf$1up$1@talkto.net [1@talkto.net" target="_blank">^]
* Subj: bug in JvComboBox [Delphi 5]
==========================================================================

When loading from DFM, .ItemIndex value would be lost here


=========Beginning of the citation==============
    object edIzmerit: TJvComboBox
      Left = 270
      Top = 140
      Width = 51
      Height = 21
      Style = csDropDownList
      ItemHeight = 13
      ItemIndex = 2
      TabOrder = 5
      Text = '3'
      Items.Strings = (
        '1'
        '2'
        '3'
        '4')
    end
=========The end of the citation================
 
When this component is loading, ItemIndex tries to load and apply before
Itmes.Strings got loaded.
Ever it should be applied later than loaded when component is constructed,
or it should be stored later than items themselves when saving.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008976)
obones (administrator)
2006-04-05 06:37

This is now fixed in CVS

- Issue History
Date Modified Username Field Change
2006-02-14 13:33 Arioch New Issue
2006-04-05 06:37 obones Status new => resolved
2006-04-05 06:37 obones Resolution open => fixed
2006-04-05 06:37 obones Assigned To => obones
2006-04-05 06:37 obones Note Added: 0008976


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker